Debian Security Advisory

DSA-682-1 awstats -- missing input sanitizing

Date Reported:
15 Feb 2005
Affected Packages:
Security database references:
In the Debian bugtracking system: Bug 294488.
In Mitre's CVE dictionary: CVE-2005-0363.
More information:

In addition to CAN-2005-0116 more vulnerabilities have been found in awstats, a powerful and featureful web server log analyzer with a CGI frontend. Missing input sanitising can cause arbitrary commands to be executed.

For the stable distribution (woody) this problem has been fixed in version 4.0-0.woody.2.

For the unstable distribution (sid) this problem has been fixed in version 6.2-1.2.

We recommend that you upgrade your awstats package.

Fixed in:

Debian GNU/Linux 3.0 (woody)

Architecture-independent component:

MD5 checksums of the listed files are available in the original advisory.